DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureDescriptionSetLabels

Set the labels of the described feature

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_FeatureDescriptionSetLabels ( description, measurement, featureID, labels, label )

## FUNCTION

Sets the labels of the data of the feature descripted by `description`.

## ARGUMENTS

Data type | Name | Description
`dip_FeatureDescription` | `description` | Feature description data structure
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | ID of the measurement feature
`dip_StringArray` | `labels` | Array of label describing strings, one for each label
`char *` | `label` | Single description of all feature labels

## SEE ALSO

`MeasurementFeatureDescription`, `FeatureDescriptionFree`, `FeatureDescriptionNew`, `FeatureDescriptionSetName`, `FeatureDescriptionGetName`, `FeatureDescriptionSetDescription`, `FeatureDescriptionGetDescription`, `FeatureDescriptionSetLabels`, `FeatureDescriptionGetLabels`, `FeatureDescriptionSetLabel`, `FeatureDescriptionSetUnits`, `FeatureDescriptionGetUnits`, `FeatureDescriptionSetDimensionLabels`

DIPlib on-line documentation | Function reference | Global function index